<?php

namespace JUM\PaymentProviders\XF\Pub\Controller;

class Account extends XFCP_Account
{

	/**
	 * @return \XF\Mvc\Reply\AbstractReply|\XF\Mvc\Reply\Error|\XF\Mvc\Reply\Message|\XF\Mvc\Reply\View
	 */
	public function actionUpgrades()
	{
		/** @var \JUM\PaymentProviders\XF\Entity\User $visitor */
		$visitor = \XF::visitor();

		if (!$visitor->canUseAccountUpgrades())
		{
			return $this->noPermission();
		}

		return parent::actionUpgrades();
	}
}